| Flutter Linux Embedder |

Public Attributes | List of all members
_FlCompositorOpenGL Struct Reference

## Public Attributes
FlCompositor | parent_instance
FlTaskRunner * | task_runner
gboolean | shareable
FlOpenGLManager * | opengl_manager
FlFramebuffer * | framebuffer
uint8_t * | pixels
bool | blocking_main_thread
bool | had_first_frame
GLuint | program
GLuint | offset_location
GLuint | scale_location
GLuint | vertex_buffer
GMutex | frame_mutex

## Detailed Description

Definition at line 41 of file fl_compositor_opengl.cc.

## Member Data Documentation

## ◆ blocking_main_thread

bool _FlCompositorOpenGL::blocking_main_thread

Definition at line 60 of file fl_compositor_opengl.cc.

## ◆ frame_mutex

GMutex _FlCompositorOpenGL::frame_mutex

Definition at line 79 of file fl_compositor_opengl.cc.

## ◆ framebuffer

FlFramebuffer* _FlCompositorOpenGL::framebuffer

Definition at line 54 of file fl_compositor_opengl.cc.

## ◆ had_first_frame

bool _FlCompositorOpenGL::had_first_frame

Definition at line 64 of file fl_compositor_opengl.cc.

## ◆ offset_location

GLuint _FlCompositorOpenGL::offset_location

Definition at line 70 of file fl_compositor_opengl.cc.

## ◆ opengl_manager

FlOpenGLManager* _FlCompositorOpenGL::opengl_manager

Definition at line 51 of file fl_compositor_opengl.cc.

## ◆ parent_instance

FlCompositor _FlCompositorOpenGL::parent_instance

Definition at line 42 of file fl_compositor_opengl.cc.

## ◆ pixels

uint8_t* _FlCompositorOpenGL::pixels

Definition at line 57 of file fl_compositor_opengl.cc.

## ◆ program

GLuint _FlCompositorOpenGL::program

Definition at line 67 of file fl_compositor_opengl.cc.

## ◆ scale_location

GLuint _FlCompositorOpenGL::scale_location

Definition at line 73 of file fl_compositor_opengl.cc.

## ◆ shareable

gboolean _FlCompositorOpenGL::shareable

Definition at line 48 of file fl_compositor_opengl.cc.

## ◆ task_runner

FlTaskRunner* _FlCompositorOpenGL::task_runner

Definition at line 45 of file fl_compositor_opengl.cc.

## ◆ vertex_buffer

GLuint _FlCompositorOpenGL::vertex_buffer

Definition at line 76 of file fl_compositor_opengl.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_compositor_opengl.cc